## orthanc-gdcm 1.2

=== CMakeLists.txt ===
# Orthanc - A Lightweight, RESTful DICOM Store
# Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
# Department, University Hospital of Liege, Belgium
# Copyright (C) 2017-2020 Osimis S.A., Belgium
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.


cmake_minimum_required(VERSION 2.8)

project(OrthancGdcm)

SET(PLUGIN_VERSION "1.2" CACHE STRING "Version of the plugin")

if (PLUGIN_VERSION STREQUAL "mainline")
  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
  set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
else()
  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.8.1")
  set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
endif()


# Parameters of the build
set(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
set(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")
set(ORTHANC_FRAMEWORK_SOURCE "${ORTHANC_FRAMEWORK_DEFAULT_SOURCE}" CACHE STRING "Source of the Orthanc framework (can be \"hg\", \"archive\", \"web\" or \"path\")")
set(ORTHANC_FRAMEWORK_VERSION "${ORTHANC_FRAMEWORK_DEFAULT_VERSION}" CACHE STRING "Version of the Orthanc framework")
set(ORTHANC_FRAMEWORK_ARCHIVE "" CACHE STRING "Path to the Orthanc archive, if ORTHANC_FRAMEWORK_SOURCE is \"archive\"")
set(ORTHANC_FRAMEWORK_ROOT "" CACHE STRING "Path to the Orthanc source directory, if ORTHANC_FRAMEWORK_SOURCE is \"path\"")
set(USE_LEGACY_GDCM OFF CACHE BOOL "Use the old branch 2.8.x of GDCM for static builds, which does not require a C++11 compiler (for LSB and old versions of Visual Studio)")

# Advanced parameters to fine-tune linking against system libraries
set(USE_SYSTEM_GDCM ON CACHE BOOL "Use the system version of Grassroot DICOM (GDCM)")
set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
set(ORTHANC_SDK_VERSION "1.7.0" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"0.9.5\", or \"1.7.0\")")


# Download and setup the Orthanc framework
include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/CMake/DownloadOrthancFramework.cmake)

include_directories(${ORTHANC_FRAMEWORK_ROOT})

if (ORTHANC_FRAMEWORK_SOURCE STREQUAL "system")
  link_libraries(${ORTHANC_FRAMEWORK_LIBRARIES})
  
else()
  include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkParameters.cmake)

  set(ENABLE_LOCALE OFF CACHE INTERNAL "")      # Disable support for locales (notably in Boost)
  set(ENABLE_MODULE_IMAGES OFF CACHE INTERNAL "")
  set(ENABLE_MODULE_JOBS OFF CACHE INTERNAL "")
  
  include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkConfiguration.cmake)
endif()


include(${CMAKE_SOURCE_DIR}/Resources/CMake/GdcmConfiguration.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Plugins/OrthancPluginsExports.cmake)


# Check that the Orthanc SDK headers are available
if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
  if (ORTHANC_SDK_VERSION STREQUAL "0.9.5")
    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-0.9.5)
  elseif (ORTHANC_SDK_VERSION STREQUAL "1.7.0")
    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.7.0)
  else()
    message(FATAL_ERROR "Unsupported version of the Orthanc plugin SDK: ${ORTHANC_SDK_VERSION}")
  endif()
else ()
  CHECK_INCLUDE_FILE_CXX(orthanc/OrthancCPlugin.h HAVE_ORTHANC_H)
  if (NOT HAVE_ORTHANC_H)
    message(FATAL_ERROR "Please install the headers of the Orthanc plugins SDK")
  endif()
endif()


add_definitions(
  -DHAS_ORTHANC_EXCEPTION=1
  -DORTHANC_ENABLE_LOGGING_PLUGIN=1
  )

if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux" OR
    ${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD" OR
    ${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
  link_libraries(rt)
elseif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
  SET(CMAKE_CXX_STANDARD_LIBRARIES "${CMAKE_CXX_STANDARD_LIBRARIES} -lws2_32")

  execute_process(
    COMMAND 
    ${PYTHON_EXECUTABLE} ${ORTHANC_FRAMEWORK_ROOT}/../Resources/WindowsResources.py
    ${PLUGIN_VERSION} "OrthancGdcm" OrthancGdcm.dll "Decoder and transcoder of DICOM images using GDCM"
    ERROR_VARIABLE Failure
    OUTPUT_FILE ${AUTOGENERATED_DIR}/Version.rc
    )

  if (Failure)
    message(FATAL_ERROR "Error while computing the version information: ${Failure}")
  endif()

  list(APPEND AUTOGENERATED_SOURCES  ${AUTOGENERATED_DIR}/Version.rc)
endif()

if (APPLE)
  SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -framework CoreFoundation")
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -framework CoreFoundation")
endif()


add_library(OrthancGdcm SHARED
  ${CMAKE_SOURCE_DIR}/Plugin/GdcmDecoderCache.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/GdcmImageDecoder.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/Plugin.cpp
  ${CMAKE_SOURCE_DIR}/Resources/Orthanc/Plugins/OrthancPluginCppWrapper.cpp
  ${ORTHANC_CORE_SOURCES}
  ${AUTOGENERATED_SOURCES}
  )

target_link_libraries(OrthancGdcm ${GDCM_LIBRARIES})

if (STATIC_BUILD OR NOT USE_SYSTEM_GDCM)
  add_dependencies(OrthancGdcm GDCM)
endif()


message("Setting the version of the library to ${PLUGIN_VERSION}")
add_definitions(-DPLUGIN_VERSION="${PLUGIN_VERSION}")

set_target_properties(OrthancGdcm PROPERTIES 
  VERSION ${PLUGIN_VERSION} 
  SOVERSION ${PLUGIN_VERSION})

install(
  TARGETS OrthancGdcm
  RUNTIME DESTINATION lib    # Destination for Windows
  LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
  )

=== debian/changelog ===
orthanc-gdcm (1.2-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 17 Dec 2020 18:14:05 +0100

orthanc-gdcm (1.1-4) unstable; urgency=medium

  * Fix missing include because of upgraded liborthancframework-dev

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 10 Dec 2020 09:52:48 +0100

orthanc-gdcm (1.1-2) unstable; urgency=medium

  * Source upload

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 02 Nov 2020 10:11:17 +0100

orthanc-gdcm (1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #961716)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 17 Oct 2020 11:23:24 +0200

=== debian/control ===
Source: orthanc-gdcm
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgdcm-dev,
               liborthancframework-dev,
               orthanc-dev (>= 1.7.0),
               unzip,
               uuid-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/orthanc-gdcm
Vcs-Git: https://salsa.debian.org/med-team/orthanc-gdcm.git
Homepage: https://www.orthanc-server.com/
Rules-Requires-Root: no

Package: orthanc-gdcm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 1.7.0)
Description: DICOM transcoder/decoder for Orthanc using GDCM (notably for JPEG2k)
 This package installs a plugin for Orthanc, the lightweight, RESTful
 Vendor Neutral Archive for medical imaging. The plugin extends
 Orthanc with a transcoder/decoder of DICOM images that is built on
 the GDCM library, whereas the built-in transcoder/decoder of Orthanc
 uses DCMTK.
 .
 This plugin is notably necessary for Orthanc to be able to
 transcode and decode JPEG2k transfer syntaxes.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '-' -f 1)
export TARGET := libOrthancGdcm.so

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# Disable assert() checking from upstream project, for best performance
# https://lists.debian.org/debian-med/2018/04/msg00132.html
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ --builddirectory=Build

CMAKE_EXTRA_FLAGS += \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DSTATIC_BUILD:BOOL=OFF \
	-DORTHANC_FRAMEWORK_SOURCE=system \
        -DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_install:
	dh_install Build/${TARGET}.${UPSTREAM_VERSION} usr/lib/orthanc

override_dh_link:
	dh_link usr/lib/orthanc/${TARGET}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET}

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

## orthanc-gdcm 1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2020 Osimis S.A., Belgium
+# Copyright (C) 2017-2021 Osimis S.A., Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -21,13 +21,13 @@
 
 project(OrthancGdcm)
 
-SET(PLUGIN_VERSION "1.2" CACHE STRING "Version of the plugin")
+SET(PLUGIN_VERSION "1.4" CACHE STRING "Version of the plugin")
 
 if (PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.8.1")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.9.4")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -50,9 +50,18 @@
 # Download and setup the Orthanc framework
 include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/CMake/DownloadOrthancFramework.cmake)
 
-include_directories(${ORTHANC_FRAMEWORK_ROOT})
+if (ORTHANC_FRAMEWORK_SOURCE STREQUAL "system")
+  if (ORTHANC_FRAMEWORK_USE_SHARED)
+    include(FindBoost)
+    find_package(Boost COMPONENTS thread)
+    
+    if (NOT Boost_FOUND)
+      message(FATAL_ERROR "Unable to locate Boost on this system")
+    endif()
+    
+    link_libraries(${Boost_LIBRARIES} jsoncpp)
+  endif()
 
-if (ORTHANC_FRAMEWORK_SOURCE STREQUAL "system")
   link_libraries(${ORTHANC_FRAMEWORK_LIBRARIES})
   
 else()
@@ -63,6 +72,7 @@
   set(ENABLE_MODULE_JOBS OFF CACHE INTERNAL "")
   
   include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkConfiguration.cmake)
+  include_directories(${ORTHANC_FRAMEWORK_ROOT})
 endif()

=== debian/changelog ===
orthanc-gdcm (1.4-3build1) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:02:52 +0100

orthanc-gdcm (1.4-3) unstable; urgency=medium

  * Replace explicit restart of Orthanc by orthanc-restart-trigger

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 16 Jan 2022 17:10:10 +0100

orthanc-gdcm (1.4-2) unstable; urgency=medium

  * Upload to unstable after freeze

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 01 Sep 2021 13:10:58 +0200

orthanc-gdcm (1.4-1) experimental; urgency=medium

  * New upstream version
  * Added missing "Built-Using" attribute

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 08 Jul 2021 15:59:18 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                orthanc-dev (>= 1.7.0),
                unzip,
                uuid-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-gdcm
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-gdcm.git
 Homepage: https://www.orthanc-server.com/
@@ -20,7 +20,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 1.7.0)
+         orthanc (>= 1.9.7+dfsg-6)
+Built-Using: ${orthancframework:Built-Using}
 Description: DICOM transcoder/decoder for Orthanc using GDCM (notably for JPEG2k)
  This package installs a plugin for Orthanc, the lightweight, RESTful
  Vendor Neutral Archive for medical imaging. The plugin extends

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s/\/browse\.php\?path=//g,repack,compression=xz" \
https://www.orthanc-server.com/browse.php?path=/plugin-gdcm downloads/get\.php\?path=/plugin-gdcm/OrthancGdcm-(\d\S*)\.tar\.gz

## orthanc-gdcm 1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,13 +21,13 @@
 
 project(OrthancGdcm)
 
-SET(PLUGIN_VERSION "1.4" CACHE STRING "Version of the plugin")
+SET(PLUGIN_VERSION "1.5" CACHE STRING "Version of the plugin")
 
 if (PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.9.4")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.10.1")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()

=== debian/changelog ===
orthanc-gdcm (1.5-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 23 Mar 2022 22:15:27 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,17 @@
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
 	-DORTHANC_FRAMEWORK_SOURCE=system \
+        -DORTHANC_FRAMEWORK_USE_SHARED:BOOL=OFF \
+	"-DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=dcmdata dcmjpls dcmimage dcmjpeg ofstd boost_filesystem boost_iostreams boost_locale boost_regex boost_thread pugixml uuid jsoncpp" \
         -DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515
+
+
+# Automated generation of the "Built-Using" attribute in "d/control"
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=989128
+# Adapted from:
+# https://wiki.debian.org/SIMDEverywhere#Approach (Point 6)
+override_dh_gencontrol:
+	dh_gencontrol -- -Vorthancframework:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W liborthancframework-dev)"
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

## orthanc-gdcm 1.6+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2021 Osimis S.A., Belgium
+# Copyright (C) 2017-2024 Osimis S.A., Belgium
+# Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -21,13 +22,13 @@
 
 project(OrthancGdcm)
 
-SET(PLUGIN_VERSION "1.5" CACHE STRING "Version of the plugin")
+SET(PLUGIN_VERSION "1.6")
 
 if (PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.10.1")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.2")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -153,6 +154,10 @@
   VERSION ${PLUGIN_VERSION} 
   SOVERSION ${PLUGIN_VERSION})
 
+if (COMMAND DefineSourceBasenameForTarget)
+  DefineSourceBasenameForTarget(OrthancGdcm)
+endif()
+
 install(
   TARGETS OrthancGdcm
   RUNTIME DESTINATION lib    # Destination for Windows

=== debian/changelog ===
orthanc-gdcm (1.6+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:11:25 +1100

orthanc-gdcm (1.6+dfsg-1build1) noble; urgency=high

  * No change rebuild against libgdcm3.0t64, libdcmtk17t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:47:41 +0100

orthanc-gdcm (1.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 05 Jan 2024 11:51:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: orthanc-gdcm
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
 Section: science
 Priority: optional
@@ -10,7 +11,7 @@
                orthanc-dev (>= 1.7.0),
                unzip,
                uuid-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-gdcm
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-gdcm.git
 Homepage: https://www.orthanc-server.com/

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://orthanc.uclouvain.be/downloads/sources/orthanc-gdcm/index.html OrthancGdcm-(\d\S*)\.tar\.gz

## orthanc-gdcm 1.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,13 +22,13 @@
 
 project(OrthancGdcm)
 
-SET(PLUGIN_VERSION "1.6")
+SET(PLUGIN_VERSION "1.7")
 
 if (PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.2")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.3")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()

=== debian/changelog ===
orthanc-gdcm (1.7+dfsg-1build1) oracular; urgency=medium

  * Rebuild against new libdcmtk18.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 09:37:56 +0200

orthanc-gdcm (1.7+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 06 May 2024 22:03:31 +0200

## orthanc-gdcm 1.8%2Bdfsg

=== debian/changelog ===
orthanc-gdcm (1.8+dfsg-1build4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Aug 2025 08:19:26 +0200

orthanc-gdcm (1.8+dfsg-1build3) plucky; urgency=medium

  * Rebuild against new libdcmtk19.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 20:24:58 +0100

orthanc-gdcm (1.8+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild for libdcmtk19.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 26 Feb 2025 14:49:18 +0000

orthanc-gdcm (1.8+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild for libjsoncpp26

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 10 Nov 2024 10:56:40 +0000

orthanc-gdcm (1.8+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 03 Aug 2024 14:34:20 +0200

## orthanc-gdcm 1.8+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2024 Osimis S.A., Belgium
+# Copyright (C) 2017-2023 Osimis S.A., Belgium
+# Copyright (C) 2024-2024 Orthanc Team SRL, Belgium
 # Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
@@ -22,7 +23,7 @@
 
 project(OrthancGdcm)
 
-SET(PLUGIN_VERSION "1.7")
+SET(PLUGIN_VERSION "1.8")
 
 if (PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")

=== debian/changelog ===
orthanc-gdcm (1.8+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with recent versions of CMake. Closes: #1113371

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 01 Sep 2025 13:18:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: orthanc-gdcm
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
 Section: science
 Priority: optional
@@ -11,10 +10,10 @@
                orthanc-dev (>= 1.7.0),
                unzip,
                uuid-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-gdcm
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-gdcm.git
-Homepage: https://www.orthanc-server.com/
+Homepage: https://orthanc.uclouvain.be/book/plugins/gdcm.html
 Rules-Requires-Root: no
 
 Package: orthanc-gdcm

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '-' -f 1)
+export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '+' -f 1)
 export TARGET := libOrthancGdcm.so
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://orthanc.uclouvain.be/downloads/sources/orthanc-gdcm/index.html OrthancGdcm-(\d\S*)\.tar\.gz
